#!/bin/sh

if [ -z $1 ]; then
    hklog=/tmp/hklog.txt
else
    hklog=$1
fi

killapp()
{
    while [ 0 -eq 0 ]
    do
     #   killall $1
        pkill -9 $1
        app=$(ps -A|grep $1)
        chk=$(echo $app|awk '{print length}')
        if [ 0 -eq $chk ]; then
            return
        fi
        sleep 1
    done
}

# update the dev_cfg adapt the new firmware
if [ -f "/home/root/hkbridge/format_mode" ]
then
	echo "start format mode"
	chmod +x /home/root/hkbridge/format_mode
	/home/root/hkbridge/format_mode &
fi

# select language 
if [ -f "/home/root/hkbridge/selectLanguage" ]
then
        echo "select Language"
        chmod +x /home/root/hkbridge/selectLanguage
        /home/root/hkbridge/selectLanguage
fi


#/home/root/initlighting &
cd /home/root/hkbridge && ./wifi_disconnect.sh wlan0

if [ -f "/home/root/watchdogd" ]
then
/home/root/watchdogd watchdogd.conf  &
fi

while [ true ]
do
    killapp hkbridge
    sleep 1
	
	if [ -f /home/root/start.conf ];then
		start_to="`cat /home/root/start.conf`"
	else
		start_to="xiaomi"
	fi

    # patch if no enough condition start miot, change to start lumi
    if [ $start_to == xiaomi ];then
        if [ -f /lumi/conf/device.conf ] && [ `grep ^key= /lumi/conf/device.conf` != "" ] && [ `grep ^did= /lumi/conf/device.conf` != "" ];then
            start_to=xiaomi
        else
            start_to=lumi
            echo "!!! no satisfy the start condition for xiaomi, change to lumi !!!!!"
            touch /home/root/start.conf
            echo "lumi" > /home/root/start.conf
        fi
    fi

	if [ "`echo $start_to | grep "lumi"`" != "" ];then
		echo "start with aiot..."
		if [ -f /usr/lib/libgateway_lumi.so ];then
			ln -sf /usr/lib/libgateway_lumi.so /usr/lib/libgateway.so
		fi
		if [ -x /home/root/hkbridge/hkbridge_lumi ];then
			ln -sf /home/root/hkbridge/hkbridge_lumi /home/root/hkbridge/hkbridge
		fi
	else
		echo "start with miot..."
		if [ -f /usr/lib/libgateway_xiaomi.so ];then
			ln -sf /usr/lib/libgateway_xiaomi.so /usr/lib/libgateway.so
		fi
		if [ -x /home/root/hkbridge/hkbridge_xiaomi ];then
			ln -sf /home/root/hkbridge/hkbridge_xiaomi /home/root/hkbridge/hkbridge
		fi
	fi
	
    /home/root/initlighting
    echo "start hkbridge..."
    chmod +x /home/root/hkbridge/hkbridge
    cd /home/root/hkbridge && /home/root/hkbridge/hkbridge wlan0  >> $hklog 2>&1
    echo "hkbridge exit. Relaunch hkbridge..."
done

exit 0
