#!/bin/sh

cd /home/root/music/

if [ -f "/home/root/music/current_music_language" ];then
	mv /home/root/music/current_music_language /home/root/music/last_music_language
fi

LANGUAGE=$1
rm *.mp3

cd /home/root/music/music-scene/
for i in `ls *.mp3`
do
	ln -sf "/home/root/music/music-scene/${i}" "/home/root/music/${i}"
done

cd /home/root/music/music-${LANGUAGE}/
for i in `ls *.mp3`
do
	ln -sf "/home/root/music/music-${LANGUAGE}/${i}" "/home/root/music/${i}"
done

sync
echo ${LANGUAGE} > /home/root/music/current_music_language
if [ ! -f "/home/root/music/factory_language" ];then
	cp /home/root/music/current_music_language /home/root/music/factory_language
fi
echo "Language change to ${LANGUAGE}"
sync
