#!/bin/sh

#set flag
FLAG="/home/root/fac/set_firmware_ok"

if [ ! -f "/lumi/conf/device.conf" ];then
    echo "set_firmware.sh fail: not exist device.conf"
	exit 0
fi

if [ -f ${FLAG} ];then
    rm ${FLAG}
fi

MAC_R=`grep "mac" /lumi/conf/device.conf | cut -d '=' -f 2 | tr -d ':'`
eFuse_MAC=`rtwpriv wlan0 efuse_get realmap | grep 0x110 | cut -d ' ' -f 11-16 |tr -d ' '`
if [ "${MAC_R}"x != "${eFuse_MAC}"x ];then
    rtwpriv wlan0 efuse_set wmap,11A,${MAC_R}
fi

touch ${FLAG}
echo "set_firmware.sh ok"

sync
