#!/bin/sh

while [ 1 ]
do
	if_exist=$(ps -ef | grep 'launch.sh'| grep -v grep)
	if [ -z "$if_exist" ] ; then
		touch launch_ever_down 
		echo "!!!!resume launch.sh" 
		/home/root/launch.sh &
	fi

	if [ "`ps -e | grep -w 'ip_monitor.sh'`" = "" ]
	then
		if [ -x /lumi/app/miio/daemon_miio ]
		then
			/home/root/ip_monitor.sh &
		fi
	fi
	
	if [ ! -f /home/root/start.conf -o "`cat /home/root/start.conf | grep "xiaomi"`" != "" ]
	then
		if [ "`ps -e | grep -w 'daemon_miio'`" = "" ]
		then
			if [ -x /lumi/app/miio/daemon_miio ]
			then
				/lumi/app/miio/daemon_miio &
			fi
		fi	
	fi

	HOMEKIT_RSS=`ps aux | grep hkbridge | awk 'NR==1 {print $6}'`
	if [ $HOMEKIT_RSS -gt 150000 ]
	then
		if [ -x /home/root/hkbridge/killhkbridge.sh ]
		then
			/home/root/hkbridge/killhkbridge.sh &
		fi
	fi

	sleep 30
done

exit 0
