#!/bin/sh

#export PATH=$PATH:/wpa
#export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/mnt/flash/lumi_ipc
#WIFI_CONF_FILE="/wpa/wifi.conf"
WIFI_CONF_FILE="/lumi/conf/wifi.conf"
WPA_SUPPLICANT_CONFIG_FILE="/etc/wpa_supplicant.conf"
#DEVICE_CONFIG_FILE="/wpa/device.conf"

wifimode=""

ip=$1
echo ip

wifi_ap_mode()
{
    # AP mode

#	wifimode=`iwconfig wlan0 | grep Mode | cut -d ':' -f 2 | cut -d ' ' -f 1`
#    if [ "$wifimode" = "Master" ]; then
#	echo "Already in AP mode"
#	return
#   fi

#MAC=$(ifconfig wlan0|grep wlan0|awk '{print $5}')
# ifconfig wlan0|grep wlan0|awk '{print $5}' | cut -c 13-17 | tr -c "[a-z][0-9]"  "_" | cut -c 1-5
# 

#if [ -f "/tmp/zigbee_mac" ];then
	#ssid=`cat /tmp/zigbee_mac | grep -v ^#`
	model=`cat /lumi/conf/device.conf | grep -v ^# | grep "model=" | cut -d '=' -f 2 | tr '.' '-'`
	mac=`cat /sys/class/net/wlan0/address | tr -d ':' | tr 'a-z' 'A-Z' | cut -c 9-12`
	ssid=${model}"_miap"${mac}
	echo $ssid
	sed -i "/^ssid=/c\ssid=${ssid}" `grep "ssid=*" -rl /wpa/hostapd.conf`
	sync
#	rm /tmp/zigbee_mac
#fi

	ifconfig wlan0 down
	killall udhcpc wpa_supplicant hostapd dhcpd
	ifconfig wlan0 up

	sleep 0.5

	ifconfig wlan0 192.168.1.1 netmask 255.255.255.0
	
	ifconfig wlan0 up

	#mount -t tmpfs -o mode=0755 tmpfs /var
	mkdir -p /var/run/hostapd
	/wpa/hostapd /wpa/hostapd.conf -ddB

	mkdir -p /var/lib/dhcp
	touch /var/lib/dhcp/dhcpd.leases
	#dhcpd wlan0 -cf /etc/dhcp/dhcpd.conf -lf /var/lib/dhcp/dhcpd.leases
	udhcpd /wpa/udhcpd.conf &
	sleep 0.5
}

wifi_sta_mode()
{
#	wifimode=`iwconfig wlan0 | grep Mode | cut -d ':' -f 2 | cut -d ' ' -f 1`
#    if [ "$wifimode" = "Managed" ]; then
#
#		# check if we've got ip
#		ifconfig wlan0 | grep "inet addr"
#		if [ "$?" = "0" ]; then
#			echo "Already in STA mode & have ip"
#			return $?
#		fi
#		
#    	# STA mode
#		echo "Enabling wifi STA mode"
#    fi

    get_ssid_passwd
    echo $user_ssid $passwd
    #update_wpa_conf $user_ssid $passwd

	#if [ "x$passwd" = "x" ]; then
	
	if [ x"$passwd" = x ]; then	
		cat <<EOF > $WPA_SUPPLICANT_CONFIG_FILE
ctrl_interface=/var/run/wpa_supplicant
update_config=1
network={
	ssid="$user_ssid"
	scan_ssid=1
	key_mgmt=NONE
}
EOF
    else
		cat <<EOF > $WPA_SUPPLICANT_CONFIG_FILE
ctrl_interface=/var/run/wpa_supplicant
update_config=1

network={
	ssid="$user_ssid"
	scan_ssid=1
	psk="$passwd"
	key_mgmt=WPA-PSK
	proto=WPA WPA2
}
EOF
    fi
    
    
    ifconfig wlan0 down
    killall udhcpc wpa_supplicant hostapd dhcpd
    #mount -t tmpfs -o mode=0755 tmpfs /var
    ifconfig wlan0 up
    iwconfig wlan0 mode Managed
    mkdir -p /var/run/wpa_supplicant
    #wpa_supplicant -Dwext -iwlan0 -c $WPA_SUPPLICANT_CONFIG_FILE -B
if [ -n "$ip" ];then
    ifconfig wlan0 $ip
    route add default gw 192.168.1.1

    wpa_supplicant  -D  nl80211  -i  wlan0  -c /etc/wpa_supplicant.conf   -B
else
    wpa_supplicant  -D  nl80211  -i  wlan0  -c /etc/wpa_supplicant.conf   -B

    udhcpc -i wlan0 -s /wpa/simple.script
fi
    #udhcpc -i wlan0 &

    # check if we've got ip
	echo "get ip addr :"
    ifconfig wlan0 | grep "inet addr" | cut -d ':' -f 2 |cut -d ' ' -f 1
}

get_ssid_passwd()
{
    STRING=`cat $WIFI_CONF_FILE | grep -av ^#`
    key_mgmt=${STRING##*key_mgmt=}
    if [ "$key_mgmt"x = "NONE"x ]; then
		passwd=""

		user_ssid=${STRING##*ssid=\"}
		user_ssid=${user_ssid%%\"*}
	else
		passwd=${STRING##*psk=\"}
		passwd=${passwd%%\"*}

		user_ssid=${STRING##*ssid=\"}
		user_ssid=${user_ssid%%\"*}
    fi
}


start()
{
    if [ -e $WIFI_CONF_FILE ]; then
	wifi_sta_mode
    else
	wifi_ap_mode
    fi
}

start
